Skip to main content
GET
/
api
/
users
/
{id}
Error
A valid request URL is required to generate request examples
{
  "@id": "<string>",
  "@type": "<string>",
  "email": "jsmith@example.com",
  "@context": "<string>",
  "id": "<string>",
  "password_set_at": "2023-11-07T05:31:56Z",
  "first_name": "<string>",
  "last_name": "<string>",
  "enabled": true,
  "last_login": "2023-11-07T05:31:56Z",
  "api_key": "<string>",
  "roles": [
    "<string>"
  ],
  "utm_tags": [
    "<string>"
  ],
  "bento_hash": "<string>",
  "intercom_hash": "<string>",
  "is_subscription_expired": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "default_team": {
    "@id": "<string>",
    "@type": "<string>",
    "name": "<string>",
    "@context": "<string>",
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "owner_email": "<string>",
    "last_activity_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

api-key
string
header
required

Value for the api-key header parameter.

Path Parameters

id
string
required

User identifier

Response

User resource

Core user operations

@id
string
required
@type
string
required
email
string<email>
required
Maximum string length: 255
@context
id
string
read-only
password_set_at
string<date-time> | null
first_name
string | null
Maximum string length: 100
last_name
string | null
Maximum string length: 100
enabled
boolean
last_login
string<date-time> | null
api_key
string | null
roles
(string | null)[]
utm_tags
(string | null)[] | null
bento_hash
string | null
intercom_hash
string | null
is_subscription_expired
boolean
default:true
read-only
created_at
string<date-time>
updated_at
string<date-time>
default_team
object | null

Basic CRUD operations